Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class PendInfo

    java.lang.Object
      org.mozilla.jss.pkix.cmc.PendInfo

All Implemented Interfaces:
  ASN1Value

    public class PendInfo

extends java.lang.Object
implements ASN1Value

CMC PendInfo:

       PendInfo ::= SEQUENCE {
           pendToken            OCTET STRING,
           pendTime             GeneralizedTime
       }

Nested Class Summary
`static class` | `PendInfo.Template` A template for decoding an PendInfo from its BER encoding.

Field Summary
`static Tag` | `TAG`

Constructor Summary
`PendInfo(OCTET_STRING pendToken, GeneralizedTime pendTime)` Constructs a PendInfo from its components.
`PendInfo(java.lang.String reqId, java.util.Date date)` Constructs a PendInfo from requestId and date.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`GeneralizedTime` | `getPendTime()`
`OCTET_STRING` | `getPendToken()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PendInfo.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### PendInfo

    public PendInfo(OCTET_STRING pendToken,
                    GeneralizedTime pendTime)

  Constructs a PendInfo from its components.

  Parameters:
    `pendToken` - the identifier.
    `pendTime` - the suggested time for the client to query the status.

### PendInfo

    public PendInfo(java.lang.String reqId,
                    java.util.Date date)

  Constructs a PendInfo from requestId and date.

  Parameters:
    `reqId` - the request Id
    `date` - the suggested time for the client to query the status.

Method Detail

### getPendTime

    public GeneralizedTime getPendTime()

### getPendToken

    public OCTET_STRING getPendToken()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### getTemplate

    public static PendInfo.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD